%define name    monotone
%define version 1.0
%define release %mkrel 1
%define summary A distributed version control tool


Summary:        %{summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}
License: GPLv2
Group: Development/Other
Source: http://monotone.ca/downloads/%{version}/%{name}-%{version}.tar.bz2
Url: http://monotone.ca
# Patches from upstream
Patch0: monotone-1.0-fix-fprint.patch
Patch1: monotone-1.0-fix-rcs-file-function-naming.patch
Patch2: monotone-1.0-fix-xdelta-test.patch
BuildRequires:  boost-devel
BuildRequires:  zlib-devel
BuildRequires:  texinfo
BuildRequires:  botan-devel
BuildRequires:  pcre-devel
BuildRequires:  sqlite3-devel
BuildRequires:  lua-devel
BuildRequires:  libidn-devel

%description
monotone is a free, distributed version control system. it provides
fully disconnected operation, manages complete tree versions, keeps
its state in a local transactional database, supports overlapping
branches and extensible metadata, exchanges work over plain network
protocols, performs history-sensitive merging, and delegates trust
functions to client-side RSA certificates.

%prep
%setup -q
%patch0 -p 1
%patch1 -p 1
%patch2 -p 1

%build
%configure2_5x
%make
make html

%check
# Remove a test which fails (to investigate with upstream) syntax_errors_in_.mtn-ignore
rm -rf test/func/syntax_errors_in_.mtn-ignore
make check

%install
%makeinstall
%__rm -fr %{buildroot}%{_docdir}/%{name}

%find_lang %{name}


%files -f %{name}.lang
%{_bindir}/mtn*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/hooks
%{_datadir}/%{name}/scripts
%{_sysconfdir}/bash_completion.d/*
%{_infodir}/%{name}*
%{_mandir}/man1/*
%doc AUTHORS COPYING NEWS README UPGRADE doc/monotone.html contrib


%changelog

* Sun Feb 19 2012 malo <malo> 1.0-1.mga2
+ Revision: 210829
- fix html doc path
- fix license to GPLv2
- fix tabs vs space issue
- spec clean-up after import
- update to newest version 1.0
- added patches from upstream
- imported package monotone


* Mon Jan 05 2009 Jérôme Soyer <saispo@mandriva.org> 0.42-1mdv2009.1
+ Revision: 324997
- Add BuilRequire
- update to new version 0.42

* Thu Sep 04 2008 Nicholas Brown <nickbrown@mandriva.org> 0.41-1mdv2009.0
+ Revision: 280546
- add/remove source
- new version

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.40-2mdv2009.0
+ Revision: 268149
- rebuild early 2009.0 package (before pixel changes)

* Thu May 01 2008 Nicholas Brown <nickbrown@mandriva.org> 0.40-1mdv2009.0
+ Revision: 199814
- New version

* Tue Feb 26 2008 Nicholas Brown <nickbrown@mandriva.org> 0.39-1mdv2008.1
+ Revision: 175376
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Nicholas Brown <nickbrown@mandriva.org> 0.38-1mdv2008.1
+ Revision: 121770
- Latest version

* Fri Oct 26 2007 Funda Wang <fundawang@mandriva.org> 0.37-1mdv2008.1
+ Revision: 102370
- New version 0.37

* Fri Aug 03 2007 Nicholas Brown <nickbrown@mandriva.org> 0.36-1mdv2008.0
+ Revision: 58712
- fix packaging
- New version

* Fri May 11 2007 Nicholas Brown <nickbrown@mandriva.org> 0.35-1mdv2008.0
+ Revision: 26347
- Remove unneeded build dependancy


* Thu Mar 01 2007 Nicholas Brown <nickbrown@mandriva.org> 0.33-1mdv2007.0
+ Revision: 130506
- New version
- New version

* Tue Dec 12 2006 Nicholas Brown <nickbrown@mandriva.org> 0.31-1mdv2007.1
+ Revision: 95959
- New Release

* Wed Oct 11 2006 Nicholas Brown <nickbrown@mandriva.org> 0.30-1mdv2007.1
+ Revision: 63256
- New version
- Import monotone

* Tue Aug 22 2006 Nick Brown <nickbrown@mandriva.org> 0.29-1mdv2007.0
- 0.29

* Tue Jul 25 2006 Nick Brown <nickbrown@mandriva.org> 0.28-1mdv2007.0
- 0.28

* Thu Jun 22 2006 Nick Brown <nickbrown@mandriva.org> 0.27-1mdv2007.0
- 0.27

* Thu Jun 08 2006 Nick Brown <nickbrown@mandriva.org> 0.26-2mdv2007.0
- install bash completion

* Tue Apr 11 2006 Nick Brown <nickbrown@mandriva.org> 0.26-1mdk
- 0.26 (major update. read UPGRADE file)
- new binary name

* Wed Mar 15 2006 Lenny Cartier <lenny@mandriva.com> 0.25.2-1mdk
- 0.25.2

* Fri Dec 30 2005 Nick Brown <nickbrown@mandriva.org> 0.25-1mdk
- 0.25

* Wed Dec 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.24-2mdk
- Add BuildRequires

* Mon Nov 28 2005 Nick Brown <nickbrown@mandriva.org> 0.24-1mdk
- 0.24

* Sat Oct 01 2005 Nick Brown <nickbrown@mandrake.org> 0.23-1mdk
- 0.23
- added localisation files

* Wed Aug 10 2005 Nick Brown <nickbrown@mandrake.org> 0.22-1mdk
- 0.22
- remove compiler flag changes, as new crypto library is used.

* Tue Jul 19 2005 Nick Brown <nickbrown@mandrake.org> 0.21-1mdk
- 0.21
- use %%mkrel
- remove gcc 4 hack, added upstream

* Thu Jul 07 2005 Nick Brown <nickbrown@mandrake.org> 0.20-1mdk
- 0.20
- add -DBOOST_REGEX_V4_CHAR_REGEX_TRAITS_HPP to compiler flags to
  allow compilation with gcc 4

* Thu May 05 2005 Nick Brown <nickbrown@mandrake.org> 0.19-1mdk
- 0.19
- make check in %%check

* Thu Apr 14 2005 Nick Brown <nickbrown@mandrake.org> 0.18-2mdk
- Make monotone actually work

* Wed Apr 13 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.18-1mdk
- 0.18

* Mon Feb 07 2005 Michael Scherer <misc@mandrake.org> 0.16-1mdk
- New release 0.16

* Sat Nov 13 2004 Michael Scherer <misc@mandrake.org> 0.15-1mdk
- New release 0.15

* Thu Aug 12 2004 Nick Brown <nickbroon@blueyonder.co.uk> 0.14-1mdk
- new version

* Mon Jun 07 2004 Michael Scherer <misc@mandrake.org> 0.13-2mdk 
- rebuild for new gcc ( patch #0 )

* Fri Jun 04 2004 Michael Scherer <misc@mandrake.org> 0.13-1mdk
- rpmbuildupdate aware
- BuildRequires
- from Nick Brown <nickbroon@blueyonder.co.uk>
  - First Mandrake package release

